<div class="row">
  <div class="col-lg-12 col-md-12">
    <ol class="breadcrumb">
      <li>
        <a ui-sref="nav.projects">Dashboard</a>
      </li>

      <li class="active">
        <a ui-sref="nav.tasks({project_id: p.project_id, sprint_id: p.sprint_id})">Project's View - Tasks</a>
      </li>
    </ol>
  </div>
</div>
<span ng-if="loading == true">
  <center style="margin-top: 100px;">
    <%= image_tag "spiner.gif" %>
  </center>
</span>
<span ng-if="loading == false">
  <div class="row">
    <div class="col-lg-12 col-md-12">
      <projectheader></projectheader>
      <dl class="dl-horizontal" style="margin-top: 15px;">
        <dt style="width: 250px;">
          <span class="pull-left">Amount of task's estimeation time</span>
        </dt>
        <dd>{{ est }}</dd>
      </dl>
    </div>
  </div>
  <div class="row">
    <div class="col-lg-12 col-md-12">
      <div class="panel panel-default">
        <div class="panel-heading">
          <i class="fa fa-list"></i>
          Backlog
          <span class="pull-right">
            <button class="btn btn-success btn-xs" data-toggle="modal" data-target="#myModal" data-ng-click="setTaskNew()">
              <i class="fa fa-plus"></i>
            </button>
          </span>
        </div>
        <div class="panel-body">
          <ul style="list-style-type: none;">
            <li ng-repeat="t in tasks | orderBy:['+priority','-kind']">

              <div ng-class="t.status == 'Created' ? 'bs-callout bs-callout-default': t.status == 'InProgres' ? 'bs-callout bs-callout-info':'bs-callout bs-callout-success' ">
                <div class="row">
                  <div class="col-md-4">
                    <a ui-sref="nav.task({project_id: t.project_id, task_id: t.id})">{{t.name}}</a>
                  </div>
                  <div class="col-md-2">
                    <span ng-class="t.kind == 'Task' ? 'label label-primary' : 'label label-default'">
                      Type:
                      {{t.kind}}
                    </span>
                  </div>
                  <div class="col-md-2">
                    <span ng-class="t.priority == 1 ? 'label label-info' : t.priority == 2 ? 'label label-warning' : 'label label-danger'">
                      Priority:
                      {{t.priority}}
                    </span>
                  </div>
                  <div class="col-md-2">
                    <span ng-class="t.estimation == null ? 'label label-danger' : 'label label-success'">Estimante:
                      {{ t.estimation }}
                    </span>
                  </div>
                  <div class="col-md-2">
                    <button class="btn btn-info btn-xs" data-toggle="modal" data-target="#myModal1" data-ng-click="setUpdateTask(t, $index)">
                      <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
                    </button>

                    <button class="btn btn-danger btn-xs" ng-click="deleteTask(t.id, $index)">
                      <i class="fa fa-trash"></i>
                    </button>
                  </div>
                </div>
              </div>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
          <h4 class="modal-title" id="myModalLabel">Add new task</h4>
        </div>
        <div class="modal-body">
          <taskform></taskform>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          <button class="btn btn-success" data-dismiss="modal" data-ng-click="addTask()">
            <i class="fa fa-plus"></i>
          </button>
        </div>
      </div>
      <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
  </div>

  <div class="modal fade" id="myModal1" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
          <h4 class="modal-title" id="myModalLabel">Task update {{newTask.name}}</h4>
        </div>
        <div class="modal-body">
          <taskform></taskform>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-success" data-dismiss="modal" ng-click="taskUpdate()">Update</button>
        </div>
      </div>
    </div>
    <!-- /.modal-dialog -->
  </div>
</span>
